delete
https://api.connex.trade/api/v1/algo/cancelAll
Cancel all incomplete algo orders under the portfolio. This API is asynchronous. Returning success only means that the cancel requests have been sent. The final result needs to be confirmed through websocket subscription and order query.
Permission
- Applies to both primary user and trading portfolio's API Key.
- Permission: TRADE.
Rate Limit
- 50 requests per 10 seconds
Request
| Field name | Type | Necessary | Remarks |
|---|---|---|---|
| sym | String | N | Trading pair unique identifier (example: BINANCE_PERP_ETH_USDT, OKX_PEPR_ETH_USDT) |
| exchangeType | String | N | Exchange type, such as BINANCE, OKX |
| businessType | String | N | Business type: PERP |
| algoOrderType | String | N | Algo order types:TPSL |
| conditionType | String | N | OCO,CONDITIONAL,ENTIRE_CLOSE_POSITION,PARTIAL_CLOSE_POSITION |
Note:All filter parameters are optional. If not provided, all OPEN status algo orders under the portfolio will be cancelled. Multiple conditions are AND logic.
Response
| Field name | Type | Remarks |
|---|---|---|
| algoOrderId | String | Algo order ID |
| clientOrderId | String | Customer-defined order ID |
